|  | Home · All Classes · Modules

# QAbstractState Class Reference
[QtCore module]

The QAbstractState class is the base class of states of a QStateMachine. More...

Inherits QObject.

Inherited by QFinalState, QHistoryState and QState.

### Methods

- __init__ (self, QState parent = None)
- bool event (self, QEvent e)
- QStateMachine machine (self)
- onEntry (self, QEvent event)
- onExit (self, QEvent event)
- QState parentState (self)

### Qt Signals

- void entered ()
- void exited ()

## Detailed Description

The QAbstractState class is the base class of states of a QStateMachine.

The QAbstractState class is the abstract base class of states that are part of a QStateMachine. It defines the interface that all state objects have in common. QAbstractState is part of The State Machine Framework.

The entered() signal is emitted when the state has been entered. The exited() signal is emitted when the state has been exited.

The parentState() function returns the state's parent state. The machine() function returns the state machine that the state is part of.

### Subclassing

The onEntry() function is called when the state is entered; reimplement this function to perform custom processing when the state is entered.

The onExit() function is called when the state is exited; reimplement this function to perform custom processing when the state is exited.

## Method Documentation

### QAbstractState.__init__ (self, QState parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a new state with the given parent state.

### bool QAbstractState.event (self, QEvent e)

Reimplemented from QObject.event().

### QStateMachine QAbstractState.machine (self)

Returns the state machine that this state is part of, or 0 if the state is not part of a state machine.

### QAbstractState.onEntry (self, QEvent event)

This method is abstract and should be reimplemented in any sub-class.

This function is called when the state is entered. The given event is what caused the state to be entered. Reimplement this function to perform custom processing when the state is entered.

### QAbstractState.onExit (self, QEvent event)

This method is abstract and should be reimplemented in any sub-class.

This function is called when the state is exited. The given event is what caused the state to be exited. Reimplement this function to perform custom processing when the state is exited.

### QState QAbstractState.parentState (self)

Returns this state's parent state, or 0 if the state has no parent state.

## Qt Signal Documentation

### void entered ()

This is the default overload of this signal.

This signal is emitted when the state has been entered (after onEntry() has been called).

### void exited ()

This is the default overload of this signal.

This signal is emitted when the state has been exited (after onExit() has been called).